<?php

Route::group([
    'prefix' => 'admin',
    'namespace' => 'Drp\SimpleCms\Http\Controllers\Admin',
    'middleware' => config('simple_cms.admin_middleware'),
], function () {


    Route::get('/review', 'ReviewController@index')
        ->name('admin.content.review.index');

    Route::get('/{type}/manage/{contentId}', 'ManageContentController@index')
        ->name('admin.content.manage');

    Route::get('/{type}', 'ContentListingController@index')
        ->name('admin.content.index');

    Route::post('/{type}/', 'ManageContentController@store')
        ->name('admin.content.store');

    Route::put('/{type}/{contentId}', 'ManageContentController@update')
        ->name('admin.content.update');

    Route::delete('/{type}/{contentId}', 'ManageContentController@destroy')
        ->name('admin.content.destroy');

    Route::get('/{type}/publish/{contentId}', 'PublishController')
        ->name('admin.content.publish');

    Route::get('/{type}/review/{contentId}', 'ReviewController@update')
        ->name('admin.content.review');

    Route::get('/{type}/reset/{contentId}', 'ResetController')
        ->name('admin.content.reset');

    Route::get('/preview/enable/{previewableId?}/{previewableType?}', 'PreviewController@enable')
        ->name('admin.preview.enable');

    Route::get('/preview/disable', 'PreviewController@disable')
        ->name('admin.preview.disable');

//    Route::post('/preview', 'SendPreviewController@store')
//        ->name('admin.preview.send');
});



